Skip to main content
POST
/
business-reports
curl --request POST \
  --url https://api.getcurrent.ca/v1/business-reports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jurisdiction": "ON",
  "registrationNumber": "1234567"
}
'
{
  "meta": {
    "searchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "searchedAt": "2023-11-07T05:31:56Z",
    "searchedBy": "jsmith@example.com",
    "name": "<string>",
    "jurisdiction": "<string>",
    "registrationNumber": "<string>",
    "status": "completed",
    "duration": 123
  },
  "report": {
    "legalName": {
      "name": "<string>",
      "matchScore": 0.5
    },
    "registrationNumbers": [
      {
        "label": "<string>",
        "value": "<string>"
      }
    ],
    "addresses": [
      {
        "street": "<string>",
        "city": "<string>",
        "province": "<string>",
        "postalCode": "<string>",
        "country": "<string>",
        "raw": "<string>"
      }
    ],
    "people": [
      {
        "name": "<string>",
        "titles": [
          "<string>"
        ],
        "addresses": [
          {
            "street": "<string>",
            "city": "<string>",
            "province": "<string>",
            "postalCode": "<string>",
            "country": "<string>",
            "raw": "<string>"
          }
        ],
        "ownership": "<string>"
      }
    ],
    "details": {
      "goodStanding": true,
      "nameHistory": [
        {
          "type": "<string>",
          "name": "<string>",
          "effectiveDate": "<string>",
          "endDate": "<string>"
        }
      ],
      "naicsClassification": [
        {
          "code": "<string>",
          "description": "<string>"
        }
      ]
    },
    "reportUrl": "<string>",
    "jurisdiction": "<string>",
    "status": "<string>",
    "reportUrlExpiresAt": "2023-11-07T05:31:56Z"
  },
  "errors": {}
}

Authorizations

Authorization
string
header
required

API key as Bearer token: Authorization: Bearer cur_live_xxxxx

Body

application/json
jurisdiction
string
required

Canadian jurisdiction. Accepts codes (AB, BC, MB, NB, NL, NS, NT, NU, ON, PE, QC, SK, YT, FED) or full names (e.g. "Ontario", "British Columbia", "Federal") as returned by the search endpoint.

Example:

"ON"

registrationNumber
string
required

Registration number from a search result

Example:

"1234567"

name
string
required

Business name

Example:

"Example Corp"

searchId
string<uuid>

UUID of a previous search result to link this report to search history

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Business report (completed or failed)

meta
object
required
report
object
required

The report result

errors
object

Errors by source (only present if report failed)